Add one or more songs to a setlist
POST/api/setlists/{id}/songs
POST
/api/setlists/{id}/songs
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Body
Section titled “Request Body”object
id
string format: uuid
songId
string format: uuid
songIds
Array<string>
position
number
sectionMarker
string
noteText
string
Responses
Section titled “Responses”Added
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden / no permission
object
ok
required
boolean
error
required
string
code
string
Setlist not found
object
ok
required
boolean
error
required
string
code
string
Song already in setlist with a different junction id
object
ok
required
boolean
error
required
string
code
string
Failed to add songs
object
ok
required
boolean
error
required
string
code
string
